summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/lang-python-2
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/lang-python-2')
-rwxr-xr-xgettext-tools/tests/lang-python-237
1 files changed, 18 insertions, 19 deletions
diff --git a/gettext-tools/tests/lang-python-2 b/gettext-tools/tests/lang-python-2
index eb58c1a..ca78d7a 100755
--- a/gettext-tools/tests/lang-python-2
+++ b/gettext-tools/tests/lang-python-2
@@ -15,7 +15,7 @@ import gettext
n = int(sys.argv[1])
gettext.textdomain('prog')
-gettext.bindtextdomain('prog', 'l-python-2')
+gettext.bindtextdomain('prog', '.')
print gettext.gettext("'Your command, please?', asked the waiter.")
print gettext.ngettext("a piece of cake","%(count)d pieces of cake",n) \
@@ -25,10 +25,10 @@ print gettext.gettext("%(oldCurrency)s is replaced by %(newCurrency)s.") \
EOF
: ${XGETTEXT=xgettext}
-${XGETTEXT} -o l-python-2-prog.tmp --omit-header --no-location prog2.py || exit 1
-LC_ALL=C tr -d '\r' < l-python-2-prog.tmp > l-python-2-prog.pot || exit 1
+${XGETTEXT} -o prog.tmp --omit-header --no-location prog2.py || exit 1
+LC_ALL=C tr -d '\r' < prog.tmp > prog.pot || exit 1
-cat <<EOF > l-python-2-prog.ok
+cat <<EOF > prog.ok
msgid "'Your command, please?', asked the waiter."
msgstr ""
@@ -44,9 +44,9 @@ msgstr ""
EOF
: ${DIFF=diff}
-${DIFF} l-python-2-prog.ok l-python-2-prog.pot || exit 1
+${DIFF} prog.ok prog.pot || exit 1
-cat <<\EOF > l-python-2-fr.po
+cat <<\EOF > fr.po
msgid ""
msgstr ""
"Content-Type: text/plain; charset=ISO-8859-1\n"
@@ -69,18 +69,17 @@ msgstr "%(newCurrency)s remplace %(oldCurrency)s."
EOF
: ${MSGMERGE=msgmerge}
-${MSGMERGE} -q -o l-python-2-fr.po.tmp l-python-2-fr.po l-python-2-prog.pot || exit 1
-LC_ALL=C tr -d '\r' < l-python-2-fr.po.tmp > l-python-2-fr.po.new || exit 1
+${MSGMERGE} -q -o fr.po.tmp fr.po prog.pot || exit 1
+LC_ALL=C tr -d '\r' < fr.po.tmp > fr.po.new || exit 1
: ${DIFF=diff}
-${DIFF} l-python-2-fr.po l-python-2-fr.po.new || exit 1
+${DIFF} fr.po fr.po.new || exit 1
-test -d l-python-2 || mkdir l-python-2
-test -d l-python-2/fr || mkdir l-python-2/fr
-test -d l-python-2/fr/LC_MESSAGES || mkdir l-python-2/fr/LC_MESSAGES
+test -d fr || mkdir fr
+test -d fr/LC_MESSAGES || mkdir fr/LC_MESSAGES
: ${MSGFMT=msgfmt}
-${MSGFMT} -o l-python-2/fr/LC_MESSAGES/prog.mo l-python-2-fr.po
+${MSGFMT} -o fr/LC_MESSAGES/prog.mo fr.po
# Test for presence of python version 2.3 or newer.
(python -V) >/dev/null 2>/dev/null \
@@ -91,12 +90,12 @@ case `python -c 'import sys; print sys.hexversion >= 0x20300F0'` in
esac
: ${DIFF=diff}
-cat <<\EOF > l-python-2-prog.ok
+cat <<\EOF > prog.ok
«Votre commande, s'il vous plait», dit le garçon.
2 morceaux de gateau
EUR remplace FF.
EOF
-cat <<\EOF > l-python-2-prog.oku
+cat <<\EOF > prog.oku
«Votre commande, s'il vous plait», dit le garçon.
2 morceaux de gateau
EUR remplace FF.
@@ -105,13 +104,13 @@ EOF
: ${LOCALE_FR=fr_FR}
: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
if test $LOCALE_FR != none; then
- LANGUAGE= LC_ALL=$LOCALE_FR python prog2.py 2 > l-python-2-prog.out || exit 1
- ${DIFF} l-python-2-prog.ok l-python-2-prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR python prog2.py 2 > prog.out || exit 1
+ ${DIFF} prog.ok prog.out || exit 1
fi
if test -z "$UTF8_LOCALE_UNSUPPORTED"; then
if test $LOCALE_FR_UTF8 != none; then
- LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 python prog2.py 2 > l-python-2-prog.out || exit 1
- ${DIFF} l-python-2-prog.oku l-python-2-prog.out || exit 1
+ LANGUAGE= LC_ALL=$LOCALE_FR_UTF8 python prog2.py 2 > prog.out || exit 1
+ ${DIFF} prog.oku prog.out || exit 1
fi
if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
if test -f /usr/bin/localedef; then